# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## 2023-04-05

### Changes

---

Packages with breaking changes:

 - [`native_crypto` - `v0.2.0`](#native_crypto---v020)

Packages with other changes:

 - [`native_crypto_example` - `v0.0.1`](#native_crypto_example---v001)

---

#### `native_crypto` - `v0.2.0`

 - **REFACTOR**: (WIP) optimize exceptions and bytearray.
 - **REFACTOR**: update benchmark page.
 - **FIX**: accept empty decrypted plaintext.
 - **FIX**: update code to pass tests.
 - **FIX**: update code to pass all tests.
 - **FIX**: change tag length in aes gcm cipher.
 - **FEAT**: update example for ios file encryption.
 - **FEAT**: update example with benchmark + file encryption.
 - **FEAT**: update example.
 - **FEAT**: rework bytearray and memory optimization, simplify API.
 - **DOCS**: update readmes/licences.
 - **DOCS**: update readme.
 - **BREAKING** **FEAT**: rework full api with better object oriented architecture.

#### `native_crypto_example` - `v0.0.1`

 - **REFACTOR**: update benchmark page.
 - **REFACTOR**: change file organization.
 - **PERF**: x10 perfomance improvement on android with better list management.
 - **FIX**: update code to pass all tests.
 - **FIX**: benchmark output.
 - **FIX**: update and fix code.
 - **FEAT**: update example for ios file encryption.
 - **FEAT**: update example with benchmark + file encryption.
 - **FEAT**: update example.
 - **FEAT**: rework bytearray and memory optimization, simplify API.
 - **FEAT**: export new exceptions.
 - **FEAT**: add PointyCastle benchmark.


## 2023-04-05

### Changes

---

Packages with breaking changes:

 - [`native_crypto_platform_interface` - `v0.2.0`](#native_crypto_platform_interface---v020)

Packages with other changes:

 - [`native_crypto_android` - `v0.1.2`](#native_crypto_android---v012)
 - [`native_crypto_ios` - `v0.1.2`](#native_crypto_ios---v012)

---

#### `native_crypto_platform_interface` - `v0.2.0`

 - **REFACTOR**: (WIP) optimize exceptions and bytearray.
 - **FIX**: update verify function.
 - **FEAT**: make api injectable for test.
 - **FEAT**: add exception code for platform throw.
 - **DOCS**: update readmes/licences.
 - **BREAKING** **FEAT**: set pigeon as default implementation.
 - **BREAKING** **FEAT**: add pigeon + add hmac + remove useless decryption method.

#### `native_crypto_android` - `v0.1.2`

 - **FIX**: file encryption.
 - **FEAT**: use kotlin pigeon generator.
 - **FEAT**: generate pigeon messages.
 - **DOCS**: update readmes/licences.

#### `native_crypto_ios` - `v0.1.2`

 - **REFACTOR**: remove useless lines/classes.
 - **FIX**: key length in bits.
 - **FEAT**: use swift pigeon generator.
 - **FEAT**: generate pigeon messages.
 - **DOCS**: update readmes/licences.


## 2022-05-25

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`native_crypto` - `v0.1.1`](#native_crypto---v011)

---

#### `native_crypto` - `v0.1.1`

 - **REFACTOR**: change file organization.
 - **PERF**: x10 perfomance improvement on android with better list management.
 - **FIX**: benchmark output.
 - **FIX**: update and fix code.
 - **FEAT**: export new exceptions.
 - **FEAT**: add PointyCastle benchmark.
 - **DOCS**: add link to readme file.


## 2022-05-25

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`native_crypto_ios` - `v0.1.1`](#native_crypto_ios---v011)
 - [`native_crypto_android` - `v0.1.1`](#native_crypto_android---v011)
 - [`native_crypto_platform_interface` - `v0.1.1`](#native_crypto_platform_interface---v011)

---

#### `native_crypto_ios` - `v0.1.1`

 - **REFACTOR**: rework swift part.
 - **PERF**: optimize swift code.

#### `native_crypto_android` - `v0.1.1`

 - **REFACTOR**: clean and modernize kotlin code.
 - **PERF**: x10 perfomance improvement on android with better list management.
 - **FEAT**: export new exceptions.

#### `native_crypto_platform_interface` - `v0.1.1`

 - **PERF**: x10 perfomance improvement on android with better list management.
 - **FEAT**: export new exceptions.

